package com.ningdatech.carapi.scheduler.service;

import com.ningdatech.carapi.scheduler.entity.VehicleOnlineStatusHour;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 统计车辆上线状态 按小时 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-29
 */
public interface IVehicleOnlineStatusHourService extends IService<VehicleOnlineStatusHour> {

    VehicleOnlineStatusHour getOneByReqInMonthTable(VehicleOnlineStatusHour statusHour);

    List<VehicleOnlineStatusHour> listByReqInMonthTable(VehicleOnlineStatusHour statusHour);

    Boolean saveByReqInMonthTable(VehicleOnlineStatusHour statusHour);

    Boolean updateByReqInMonthTable(VehicleOnlineStatusHour oldValue);

    Boolean batchSave(List<VehicleOnlineStatusHour> batchOnlineStatusHourToAdd);
}
